/*
  Программы для книги Белова Александра
 Программа 8.2.    Глава 8
 Бегущие огни
 
 Схема:
 * Восемь цепочек из последовательного соединенного резистора 270 Ом и светодиода
 * Подключаются между пинами от 2 до 9 и цепью +5 В
 */
const int buttonPin = 13;   // номер контакта для подключения кнопки
const int LoopTime = 200;   // Значение времени задержки шага бегущего огня

int loopStart = 2;   // Начало цикла бега
int loopStop = 10;   // Конец цикла бега
int loopStep = 1;    // Шаг цикла бега

void setup() {
  // Цикл инициализации пинов для подключения светодиодов:
  for (int thisPin = 2; thisPin < 10; thisPin++) {
    pinMode(thisPin, OUTPUT);
    digitalWrite(thisPin, HIGH);
  }
  // Инициализация пина подключения кнопки:
  pinMode(buttonPin, INPUT);
}

void loop() {
  if (digitalRead(buttonPin)==HIGH) { loopStart = 2; loopStop = 10; loopStep = 1; }
  else { loopStart = 9; loopStop = 1; loopStep = -1; }

  // Цикл одного пробега бегущего огня:
  for (int thisPin = loopStart; thisPin != loopStop; thisPin+=loopStep) {
    // Включение текущего светодиода:
    digitalWrite(thisPin, LOW);
    delay(LoopTime);  // Задержка
    // Выключение текущего светодиода:
    digitalWrite(thisPin, HIGH);
  }

}
