/*
  Примеры для книги Белова Александра
  Пример 15.1.    Глава 15
  Получение команд с компьютера 

Устройство вырабатывает звуковые сигналы по командам, передаваемым от компьютера
по последовательному USB каналу. Для каждой ккнопки свой звук.

 Схема:
 * звукоизлучатель через конденсатор 4,7 мкф подключается между пином 12 и общим проводом
 */

// Постоянные константы:
const int SoundPin = 12;     // номер контакта для подключения звукоизлучателя

//частоты нот
const int tabFreq[10] = { 1046, 987, 932, 880, 831, 784, 740, 698, 659, 622 };


void setup() {
  pinMode(SoundPin, OUTPUT);   // Контакт подключения звукоизлучателя
  Serial.begin(9600);
}

void loop() {
   if (Serial.available()>0) {
     int InpCod = Serial.read()-48;
     if ((InpCod>=0)&(InpCod<=9)) {
        tone(SoundPin,tabFreq[InpCod],200);
        delay(300);
     }
   }
}



