/*
  Примеры для книги Белова Александра
  Программа 4.1.    Глава 4
  Простейшая программа

 Включение и выключение светодиода (LED), подключенного к цифровому контакту 8, 
 при нажатии на кнопку, подключенную к контакту 2.

 Схема:
 * Последовательное соединение светодиода и резистора 270 Ом подключается между выводом 8 и контактом +5 В
 * Кнопка подключается между контактом 2 и общим  проводом
 */

// Постоянные константы. В данной программе
// константы определяют номера используемых контактов:
const int buttonPin = 2;     // номер контакта для подключения кнопки
const int ledPin = 8;        // номер контакта для подключения светодиода

// изменяемые переменные:
int buttonState = 0;         // переменная для хранения статуса кнопки (нажата/не нажата)

void setup() {
  // инициализируем контакт светодиода на вывод:
  pinMode(ledPin, OUTPUT);
  // инициализируем контакт кнопки на ввод:
  pinMode(buttonPin, INPUT_PULLUP);
}

void loop() {
  // читаем статус кнопки и помещаем его значение в переменную:
  buttonState = digitalRead(buttonPin);
  // Помещаем считанное значение на выход светодиода
  digitalWrite(ledPin, buttonState);
}
